Subject: Re: [bug#32809] [PATCH 1/1] import: hackage: Do not repeat inputs in native-inputs.

From: Arun Isaac <[email-masked]>
Date: Tue, 25 Sep 2018 11:45:04 +0530

>> * guix/import/hackage.scm (hackage-module->sexp): Do not repeat inputs again
>> in native-inputs. native-inputs should only contain packages that are not
>> already listed in inputs.
>
> Aha?  When cross-compiling, will guix provide all the tools natively that are
> listed in inputs? (rather than just the ones in native-inputs)

That's a good question. I did not think of it, and I don't know the
answer. Whenever I have packaged any package (Haskell packages,
included) for Guix, I have taken care to not repeat the inputs in the
native-inputs. Now that you mention this, I don't know if that was the
right thing to do. WDYT?

I have CCed Ricardo in this mail.